﻿using DevExpress.Xpf.Editors;
using DevExpress.Xpf.Mvvm.UI;

namespace TestProject
{
    /// <summary>
    /// 제품명 이벤트 인자 변환자
    /// </summary>
    public class ProductNameEventArgsConverter : IEventArgsConverter
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 변환하기 - Convert(e)

        /// <summary>
        /// 변환하기
        /// </summary>
        /// <param name="e">이벤트 인자</param>
        /// <returns>변환 값</returns>
        public object Convert(object e)
        {
            string productName = (e as ProcessNewValueEventArgs).DisplayText;

            return productName;
        }

        #endregion
    }
}